//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HealthcareSoft.Data
{
    using System;
    using System.Collections.Generic;
    
    public partial class DoctorsSchedule
    {
        public long Id { get; set; }
        public long DoctorId { get; set; }
        public bool IsMondayWorking { get; set; }
        public Nullable<System.TimeSpan> MondayStartShift { get; set; }
        public Nullable<System.TimeSpan> MondayEndShift { get; set; }
        public bool IsTuesdayWorking { get; set; }
        public Nullable<System.TimeSpan> TuesdayStartShift { get; set; }
        public Nullable<System.TimeSpan> TuesdayEndShift { get; set; }
        public bool IsWednesdayWorking { get; set; }
        public Nullable<System.TimeSpan> WednesdayStartShift { get; set; }
        public Nullable<System.TimeSpan> WednesdayEndShift { get; set; }
        public bool IsThursdayWorking { get; set; }
        public Nullable<System.TimeSpan> ThursdayStartShift { get; set; }
        public Nullable<System.TimeSpan> ThrusdayEndShift { get; set; }
        public bool IsFridayWorking { get; set; }
        public Nullable<System.TimeSpan> FridayStartShift { get; set; }
        public Nullable<System.TimeSpan> FridayEndShift { get; set; }
        public bool IsSaturdayWorking { get; set; }
        public Nullable<System.TimeSpan> SaturdayStartShift { get; set; }
        public Nullable<System.TimeSpan> SaturdayEndShift { get; set; }
        public System.DateTime CreatedOn { get; set; }
        public bool IsActive { get; set; }
    
        public virtual UserProfile UserProfile { get; set; }
    }
}
